@font-face {
    font-family: "ToshibaSat";
    src: url("/fonts/Ac437_ToshibaSat_8x14.ttf") format("truetype");
}

*,
*::before,
*::after {
    box-sizing: border-box;
}


html,
body {
    margin: 0;
    min-height: 100%;
}

body {
    font-family: "ms pgothic", arial;
    background-image: url("images/starstile.gif");
    margin: 0;
}

h1,h2,h3,h4,h5,h6 {
    margin: 0;
    font-family: "ToshibaSat", monospace;
    font-weight: normal;
    
}


/* =========================
   LEFT 
   ========================= */

.diary {
    position: relative;
}


.header-text {
    text-align: center;
    margin-bottom: 50px;
}

.diary-layout {
    display: grid;
    grid-template-columns: 280px 730px;
    gap: 20px;

    width: fit-content;
    min-height: 100vh;

    margin: 0 auto;

    align-items: center;
}

.left-content {
    width: 280px;

    background-color: #fff;
    padding: 10px;

    align-self: center;
}

.diary-tree,
.diary-tree ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

.diary-tree ul {
    margin-left: 15px;
    position: relative;
}

.diary-tree ul::before {
    content: "";
    position: absolute;
    top: -8px;
    bottom: 11px;
    left: 5px;
    border-left: 3px solid #ddd;
}

.diary-tree li {
    position: relative;
    padding-left: 25px;
    margin: 10px 0;
}

.diary-tree li::before {
    content: "";
    position: absolute;
    top: 0.5em;
    left: 5px;
    width: 15px;
    border-top: 3px solid #ddd;
}

.diary-tree > li {
    padding-left: 0;
}

.diary-tree > li::before {
    display: none;
}

.diary-tree > li > ul {
    margin-left: 8px;
}

.tree-year {
    font-size: 1.5rem;
    font-family: "ToshibaSat", monospace;
}

.tree-month {
    font-size: 1.15rem;
}

.diary-tree a {
    color: black;
    text-decoration: none;

    display: inline-flex;
    gap: 8px;
    align-items: baseline;
}

.diary-tree a:hover {
    color: #3D6461;
}

.tree-date {
    opacity: .65;
    font-size: .9em;
}

.tree-title {
    font-weight: normal;
}

.index-wrapper {
    position: relative;
}

.index {
    border: 1px solid black;
    max-width: 250px;
    position: relative;
    padding: 5px;
    background-color: #fff;
    overflow-y: auto;
    scrollbar-width: thin;
    height: 200px;
}

.index-heading {
    position: absolute;
    text-align: center;
    top: 0px;
    left: 37%;
    background: #fff;
    padding: 0 0.5em;
    z-index: 1;
}

.diary {
    display: flex;
    background-color: #9EE580;
    justify-content: center;
    min-width: 730px;
    min-height: 640px;
    align-items: center;
    border-style: solid;
	border-image: url("/liamborder2.png") 8 round;
	border-radius: 10px;
    box-shadow: 0px 1px #4c9b4a;
}

.left-page,
.right-page {
    height: 610px;
    width: 345px;

    padding: 15px 25px;

    background-image: url("/images/diarytile.png");
    border: 1px solid lightblue;

    overflow-y: auto;
    overflow-x: hidden;

    scrollbar-width: none;
    -ms-overflow-style: none;

    cursor: pointer;
    box-shadow: 0px 2px rgb(166, 198, 209),
    0px 0px 4px 1px rgba(0, 0, 0, 0.15);
}

.left-page {
    border-radius: 10px 0 0 10px;
    margin-right: 10px;
}

.right-page {
    border-radius: 0 10px 10px 0;
}


.left-page img,
.right-page img {
    display: block;
    max-width: 200px;
    margin: 0 auto;
}

/*==============
SPECIFIC BORDER STYLES
===============*/

.border-hearts {
    position: relative;
    display: block;  
    max-width: 200px;
    margin: 0 auto;
}

.border-hearts::after {
    content: "";
    position: absolute;
    inset: 0px;

    border-image: url(images/hearts.png);
    border-image-slice: 85 95 85 95;
    border-image-width: 50px 50px 50px 50px;
    border-image-outset: 30px 30px 30px 30px;
    border-image-repeat: stretch stretch; 

    pointer-events: none; 
    margin: 10px;
}

.border-tape2 {
    position: relative;
    display: block;  
    max-width: 200px;
    margin: 0 auto; 
}

.border-tape2::after {
    content: "";
    position: absolute;
    inset: 0px;

    border-image: url(images/tape2.png);
    border-image-slice: 73 0 73 0;
    border-image-width: 30px 20px 30px 20px;
    border-image-outset: 30px 0px 30px 0px;
    border-image-repeat: stretch stretch; 

    pointer-events: none; 
    margin: 10px;
}

.border-stars {
    position: relative;
    display: block;  
    max-width: 200px;
    margin: 0 auto; 
}

.border-stars::after {
    content: "";
    position: absolute;
    inset: 0px;

    border-image: url(images/stars.png);
    border-image-slice: 85 90 85 90;
    border-image-width: 40px 40px 40px 40px;
    border-image-outset: 20px 20px 20px 20px;
    border-image-repeat: stretch stretch; 

    pointer-events: none; 
    margin: 10px;
}

.border-tape3 {
    position: relative;
    display: block;  
    max-width: 200px;
    margin: 0 auto; 
}

.border-tape3::after {
    content: "";
    position: absolute;
    inset: 0px;

    border-image: url(images/tape3.png);
    border-image-slice: 103 113 103 115;
    border-image-width: 60px 60px 60px 60px;
    border-image-outset: 30px 30px 30px 30px;
    border-image-repeat: stretch stretch; 

    pointer-events: none; 
    margin: 10px;
}

.spine {
    position: absolute;
    pointer-events: none;
    user-select: none;
    z-index: 98;
}

#greenAppleSticker1 {
    position: absolute;
    top: 160px;
    width: 90px;
    left: 200px;
    pointer-events: none; 
    user-select: none; 
}

#greenAppleSticker2 {
    position: absolute;
    top: -160px;
    width: 90px;
    left: -40px;
    pointer-events: none;  
    user-select: none;

}

#liamDiary {
    position: absolute;
    top: 530px;
    width: 200px;
    left: -100px;
    animation: stickerAnimation 2s steps(1, end) infinite;  
    pointer-events: none;  
    user-select: none;

}

#rickDiary {
    position: absolute;
    top: -60px;
    width: 200px;
    left: 660px;
    width: 100px;
    animation: stickerAnimation 2s steps(1, start) infinite;
    pointer-events: none; 
    user-select: none;
 
}

@keyframes stickerAnimation {
    0% {
        transform: rotate(-6deg);
    }
    50% {
        transform: rotate(6deg);
    }
    100% {
        transform: rotate(-6deg);
    }
}

@media (max-width: 1060px) {
    .diary-layout {
        margin-left: 10px;
        margin-right: 10px;
    }
}